IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

Coupon services

Defines for which services a coupon applies. Only checked when coupon.scope is service.

The coupon service object

Attributes

iduuid

Unique identifier

coupon_iduuid
coupons.id

Coupon this coupon-service-link is related to

service_iduuid
services.id

Service this coupon-service-link is related to

created_attimestamp with time zone

Creation timestamp

The coupon service object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "coupon_id": "00000000-0000-0000-0000-000000000000",
  "service_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T05:27:42.573Z"
}

List coupon services

Filters

idFilter<uuid>

Unique identifier

coupon_idFilter<uuid>
coupons.id

Coupon this coupon-service-link is related to

service_idFilter<uuid>
services.id

Service this coupon-service-link is related to

created_atFilter<timestamp with time zone>

Creation timestamp

Responses

200

A list of coupon services with the selected columns

206

Partial Content

GET /coupon_services
curl -X GET "https://api.bookingmood.com/v1/coupon_services?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create coupon services

Body

Partial<CouponService> | Array<Partial<CouponService>>

Responses

201

The newly created coupon services with the selected columns

POST /coupon_services
curl -X POST "https://api.bookingmood.com/v1/coupon_services" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete coupon services

Filters

idFilter<uuid>

Unique identifier

coupon_idFilter<uuid>
coupons.id

Coupon this coupon-service-link is related to

service_idFilter<uuid>
services.id

Service this coupon-service-link is related to

created_atFilter<timestamp with time zone>

Creation timestamp

Responses

204

The deleted coupon services with the selected columns

DELETE /coupon_services
curl -X DELETE "https://api.bookingmood.com/v1/coupon_services" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update coupon services

Filters

idFilter<uuid>

Unique identifier

coupon_idFilter<uuid>
coupons.id

Coupon this coupon-service-link is related to

service_idFilter<uuid>
services.id

Service this coupon-service-link is related to

created_atFilter<timestamp with time zone>

Creation timestamp

Body

Partial<CouponService>

Responses

204

The updated coupon services with the selected columns

PATCH /coupon_services
curl -X PATCH "https://api.bookingmood.com/v1/coupon_services" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'